summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Emmanuel N. Millan <emmanueln __at__ gmail.com>2016-10-16 05:10:13 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-16 05:10:13 +0700
commit5f8dabb33acac176d9753e276ae72e84b9cdb7d6 (patch)
tree784299fa2b860f2cd451feb3cabd77c59d8d5b21
parentbb8c6397ef078e054720bfb07022cbba47586f52 (diff)
downloadslackbuilds-5f8dabb33.tar.gz
slackbuilds-5f8dabb33.tar.xz
network/ganglia-web: Added (distributed monitoring web interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/ganglia-web/README7
-rw-r--r--network/ganglia-web/doinst.sh14
-rw-r--r--network/ganglia-web/ganglia-web.SlackBuild96
-rw-r--r--network/ganglia-web/ganglia-web.info10
-rw-r--r--network/ganglia-web/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/network/ganglia-web/README b/network/ganglia-web/README
new file mode 100644
index 0000000000..b3f8439a86
--- /dev/null
+++ b/network/ganglia-web/README
@@ -0,0 +1,7 @@
+Ganglia is a scalable distributed monitoring system for high-performance
+computing systems such as clusters and Grids. It is based on a hierarchical
+design targeted at federations of clusters.
+
+The Ganglia web frontend files will be stored under /var/www/htdocs/ganglia
+directory. You can set WWWPATH to the desired place for your web server.
+Example: WWWPATH=/var/www/ganglia ./ganglia-web.SlackBuild
diff --git a/network/ganglia-web/doinst.sh b/network/ganglia-web/doinst.sh
new file mode 100644
index 0000000000..63bedaf35d
--- /dev/null
+++ b/network/ganglia-web/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/httpd/extra/ganglia.conf.new
diff --git a/network/ganglia-web/ganglia-web.SlackBuild b/network/ganglia-web/ganglia-web.SlackBuild
new file mode 100644
index 0000000000..694fa060e1
--- /dev/null
+++ b/network/ganglia-web/ganglia-web.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for Ganglia-web
+
+# Copyright 2016 Emmanuel N. Millán, Mendoza, Argentina.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ganglia-web
+VERSION=${VERSION:-3.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+WWWPATH=${WWWPATH:-/var/www/htdocs/ganglia}
+DOCUMENTATION="AUTHORS COPYING README TODO"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+make install GDESTDIR=${PKG}${WWWPATH} \
+ GCONFDIR=${PKG}/etc/ganglia-web \
+ GWEB_STATEDIR=${PKG}/var/lib/ganglia-web \
+ GMETAD_ROOTDIR=${PKG}/var/lib/ganglia \
+ APACHE_USER=apache
+
+mkdir -p $PKG/etc/httpd/extra
+sed -e "s|@GDESTDIR@|${WWWPATH}|g" apache.conf.in > apache.conf
+sed -i 's/AllowOverride All/AllowOverride All\n\tRequire all granted/' apache.conf
+cat apache.conf > $PKG/etc/httpd/extra/ganglia.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCUMENTATION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ganglia-web/ganglia-web.info b/network/ganglia-web/ganglia-web.info
new file mode 100644
index 0000000000..3034f169ee
--- /dev/null
+++ b/network/ganglia-web/ganglia-web.info
@@ -0,0 +1,10 @@
+PRGNAM="ganglia-web"
+VERSION="3.7.2"
+HOMEPAGE="http://ganglia.info/"
+DOWNLOAD="http://downloads.sourceforge.net/ganglia/ganglia-web-3.7.2.tar.gz"
+MD5SUM="a2d87edcf2914a053aa6be0ee4d57c29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Emmanuel N. Millan"
+EMAIL="emmanueln __at__ gmail.com"
+REQUIRES="ganglia"
diff --git a/network/ganglia-web/slack-desc b/network/ganglia-web/slack-desc
new file mode 100644
index 0000000000..d7247e3ec8
--- /dev/null
+++ b/network/ganglia-web/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ganglia-web: ganglia-web (distributed monitoring system web interface)
+ganglia-web:
+ganglia-web: Ganglia Web 2 (gweb2) is a refresh of the Ganglia PHP UI.
+ganglia-web:
+ganglia-web: Homepage: http://ganglia.info/
+ganglia-web:
+ganglia-web:
+ganglia-web:
+ganglia-web:
+ganglia-web:
+ganglia-web: